- updated v3.1 image tags

- removed residual scripts
- updated gitignore
This commit is contained in:
conrad96
2026-04-29 12:39:06 +03:00
parent 0c22190528
commit 40bff8a89d
5 changed files with 5 additions and 91 deletions
+1
View File
@@ -1,3 +1,4 @@
build-packages
.local
vendor/
.vscode/
-25
View File
@@ -1,25 +0,0 @@
#!/bin/bash
LOCATION="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
# build an app-only package (ie don't include images) and store the package path
echo "building app-only package"
package=$(${LOCATION}/package --app | awk -F'saved package: ' '/^saved package: / {print $2}')
echo "generated package: {package}"
# use a temp folder for unpacking and make sure to clean up when done
tmp="/tmp/build-install-local-$(date +%s)"
echo "prepping temp folder: {tmp}"
rm -rf $tmp
mkdir -p $tmp
trap 'rm -rf $tmp' EXIT
# unpack to temp folder
echo "unpacking app package: $package"
tar xf $package -C $tmp
# install package
echo "installing package"
${tmp}/*/install.sh
echo "done."
+1 -1
View File
@@ -1,7 +1,7 @@
{
"name": "streamline-emr",
"org": "streamline",
"version": "3.0",
"version": "3.1",
"platforms": [
"linux/arm64"
]
-62
View File
@@ -1,62 +0,0 @@
#!/bin/bash
#
# Copyright (C) Wendepunkt Medical Innovations, Inc - All Rights Reserved.
# Unauthorized copying of this file, via any medium is strictly prohibited.
# Proprietary and confidential
#
# For information: dev@signalytic.ca
#
#
# Install the streamline-emr application
#
# The caller of this script must check the exit value and possibly do a
# roll-back if it is non-zero. If the exit value is non-zero services have not
# been restarted.
#
# Note: This version resets data from v1 installations
LOCATION="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
if [ "$EUID" -ne 0 ]
then echo "Please run as root"
exit 1
fi
set -e
APP_SLUG="streamline_emr"
ORG_SLUG="streamline"
INSTALL_ROOT="/var/signalytic/clientapps/${ORG_SLUG}/${APP_SLUG}"
VERSION_FILE="${INSTALL_ROOT}/version"
DATA_ROOT="${INSTALL_ROOT}/data"
# stop the application (if installed)
if [ -f ${INSTALL_ROOT}/stop ]; then
${INSTALL_ROOT}/stop
fi
# reset data for any v1 or v2.0 installations
if grep -q "^1." ${VERSION_FILE} || grep -q "^2.0" ${VERSION_FILE}; then
echo "demo installation detected (v$(cat ${VERSION_FILE})) - resetting data"
rm -rf ${DATA_ROOT}
fi
# copy root files (if present)
if [ -d "${LOCATION}/root" ] && [ -n "$(ls -A ${LOCATION}/root)" ]; then
echo "importing root files"
cp -rfv $LOCATION/root/* /
fi
# import docker images (if present)
for f in $(find $LOCATION/images -name "*.img" 2>/dev/null);do
echo "importing docker image: $f"
docker load -i $f
done
for f in $(find $LOCATION/images -name "*.img.xz" 2>/dev/null);do
echo "importing docker image: $f"
xz -d -c $f | docker load
done
# start the application
${INSTALL_ROOT}/start
+2 -2
View File
@@ -1,6 +1,6 @@
services:
streamline-emr:
image: registry.gitlab.com/signalytic/client-external/streamline/streamline-emr/streamline-emr/arm64:v3
image: registry.gitlab.com/signalytic/client-external/streamline/streamline-emr/streamline-emr/arm64:3.1
container_name: streamline-emr
restart: unless-stopped
volumes:
@@ -18,7 +18,7 @@ services:
retries: 5
statistics:
image: registry.gitlab.com/signalytic/client-external/streamline/streamline-emr/statistics/arm64:v3
image: registry.gitlab.com/signalytic/client-external/streamline/streamline-emr/statistics/arm64:3.1
container_name: streamline-emr-statistics
restart: unless-stopped
environment: